# Reset admin password

There is one default admin user in any Umbraco installation. This is the first user of the system.

## Step one: Clear the connection string status in configuration

The first step is to clear the connection string to the database in the configuration. This is done to trigger the installation wizard.

That means that in your appsettings configuration files it should look like this:

```json
{
  "ConnectionStrings": {
    "umbracoDbDSN": ""
  }
}
```

{% hint style="warning" %}
**Note that configuration can be read from many sources**

Remember to check this connection string is not provided through environment variables or other configuration sources.
{% endhint %}

## Step Two: Run the installer

If you now open your browser and surf to the website, you will see that the installer launches.\
Enter your new details, and use the original connection string. You are good to go.

{% hint style="warning" %}
Make sure you protect a production websites from being highjacked as anyone will be able to reset the password during the last step.\
This does also work if your site is in an upgrading state.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-cms/reference/security/reset-admin-password.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
